<div class="container">
    <h4 class="text-white text-center mb-5">Edit Game details</h4>
</div>

<form [formGroup]="editGroupForm" (ngSubmit)="onSubmit()">

    <app-text-input formControlName="name" [label]="'Name'"></app-text-input>
    <app-textarea formControlName="description" [label]="'Description'"></app-textarea>
    <app-text-input formControlName="price" [label]="'Price'" [type]="'number'"></app-text-input>

    <div class="row justify-content-center">
        <div class="box col-sm-7"></div>
        <div class="col">
            <button [disabled]="this.editGroupForm.invalid" type="submit" class="btn btn-success me-5">Submit</button>
            <button class="btn btn-warning ms-3" [routerLink]="['games']">Cancel</button>
        </div>

    </div>

    <div class="row justify-content-center mb-5 mt-5">
        <div class="col-sm-3">
            <accordion [isAnimated]="true">
                <accordion-group heading="Edit genres">
                    <form (ngSubmit)="onGenreSubmit()">
                        <div class="mb-4">
                            <label for="genres" class="form-label">Genres</label>
                            <ng-select placeholder="Select genres" [multiple]="true" dropdownPosition="bottom"
                                [items]="genres" bindValue="id" bindLabel="name" [closeOnSelect]="false"
                                [hideSelected]="true" [(ngModel)]="gameGenres" [ngModelOptions]="{standalone: true}">
                            </ng-select>
                        </div>


                        <div class="mb-4">
                            <label for="sub-genres" class="form-label">Sub-genres</label>
                            <div *ngIf="gameSubGenres">
                                <ng-select placeholder="Select sub-genres" [multiple]="true" dropdownPosition="bottom"
                                    [(ngModel)]="gameSubGenres" [ngModelOptions]="{standalone: true}"
                                    [closeOnSelect]="false" [hideSelected]="true">
                                    <ng-option *ngFor="let subGenre of subGenres" [value]="subGenre.id">
                                        {{subGenre.name}}
                                    </ng-option>
                                </ng-select>
                            </div>
                            <div *ngIf="!gameSubGenres">
                                <ng-select placeholder="Select sub-genres" [multiple]="true" dropdownPosition="bottom"
                                    [closeOnSelect]="false" [hideSelected]="true">
                                    <ng-option *ngFor="let subGenre of subGenres" [value]="subGenre.id">
                                        {{subGenre.name}}
                                    </ng-option>
                                </ng-select>
                            </div>
                        </div>
                        <button type="submit" class="btn btn-success mt-2">Save</button>
                    </form>
                </accordion-group>
            </accordion>
        </div>
        <div class="col-sm-4">
            <accordion [isAnimated]="true">
                <accordion-group heading="Update photo">
                    <form (ngSubmit)="onPhotoSubmit()">
                        <div class="col-sm-12">
                            <input type="file" class="form-control" accept="image/jpeg" #image
                                (change)="uploadImage(image.files)" placeholder="Click here to upload an image">
                        </div>
                        <div class="row justify-content-end">
                            <div class="col-sm-3">
                                <button type="submit" class="btn btn-success mt-3">Save</button>
                            </div>
                        </div>
                    </form>
                </accordion-group>
            </accordion>
        </div>
    </div>


</form>